/*
				Copyright 2009 Zhao Lin <linjiework@163.com>
        
        This program is free software; you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published by
        the Free Software Foundation; either version 2 of the License, or
        (at your option) any later version.
        
        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.
        
        You should have received a copy of the GNU General Public License
        along with this program; if not, write to the Free Software
        Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
        MA 02110-1301, USA.
 */

#ifndef __SOCKET_H__
#define __SOCKET_H__

#include "dialogimpl.h"

// socket.c
extern int socket_init(DialogImpl *pdlg);
extern int socket_connect(const char *server, int port);
extern int socket_close(int sockFd);
extern int socket_receive(int sockFd, int length, char *data);
extern int socket_send(int sockFd, int length, void *data);


#endif // __SOCKET_H__
